Package org.eclipse.ui.intro

# Interface IIntroSite

All Superinterfaces:
  `IAdaptable`, `IServiceLocator`, `IShellProvider`, `IWorkbenchSite`

public interface IIntroSite extends IWorkbenchSite
The primary interface between an intro part and the workbench.

The workbench exposes its implemention of intro part sites via this interface, which is not intended to be implemented or extended by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`IActionBars`
`getActionBars()`
Returns the action bars for this part site.
`String`
`getId()`
Returns the part registry extension id for this intro site's part.
`IKeyBindingService`
`getKeyBindingService()`
Deprecated.
Use IServiceLocator#getService(*) to retrieve IContextService and IHandlerService instead.
`String`
`getPluginId()`
Returns the unique identifier of the plug-in that defines this intro site's part.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.services.IServiceLocator

`getService, hasService`

### Methods inherited from interface org.eclipse.ui.IWorkbenchSite

`getPage, getSelectionProvider, getShell, getWorkbenchWindow, setSelectionProvider`

## Method Details

### getId

String getId()
Returns the part registry extension id for this intro site's part.

The name comes from the `id` attribute in the configuration element.

Returns:
  the registry extension id

### getPluginId

String getPluginId()
Returns the unique identifier of the plug-in that defines this intro site's part.

Returns:
  the unique identifier of the declaring plug-in

### getKeyBindingService

@Deprecated IKeyBindingService getKeyBindingService()
Deprecated.
Use IServiceLocator#getService(*) to retrieve IContextService and IHandlerService instead.
Returns the key binding service in use.

The part will access this service to register all of its actions, to set the active scope.

Returns:
  the key binding service in use

### getActionBars

IActionBars getActionBars()
Returns the action bars for this part site. The intro part has exclusive use of its site's action bars.

Returns:
  the action bars